return {
    {
        "nvim-telescope/telescope.nvim",
        event = "VeryLazy",
        branch = "0.1.x",
        dependencies = {
            { "nvim-telescope/telescope-fzf-native.nvim", build = "make" },
            { "nvim-telescope/telescope-ui-select.nvim" },
            "nvim-lua/plenary.nvim",
        },
        config = function()
            require "my.telescope"
        end
    },
    {
        "windwp/nvim-autopairs",
        event = "InsertEnter",
        opts = {}
    },
    {
        "lewis6991/gitsigns.nvim",
        event = "VeryLazy",
        opts = {
            current_line_blame = true,
            current_line_blame_opts = {
                delay = 300,
            },
            on_attach = require "my.keymaps".gitsigns_keymaps,
        }
    },
    { "lukas-reineke/lsp-format.nvim", tag = "v2.5.1" },
    { "nvim-tree/nvim-web-devicons",   lazy = true },
    {
        "L3MON4D3/LuaSnip",
        version = "v2.*",
        -- install jsregexp (optional!).
        build = "make install_jsregexp"
    },
    {
        'echasnovski/mini.nvim',
        version = '*',
        config = function()
            require "mini.statusline".setup()
            require "mini.bufremove".setup()
        end
    },
}
